View Issue Details

IDProjectCategoryView StatusLast Update
0001310NoesisGUIUnity3Dpublic2019-02-12 23:09
ReportermingingminglerAssigned Tosfernandez 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1.0f1 
Target Version2.2.0Fixed in Version2.2.0b6 
Summary0001310: MouseLeftButtonDown event gets raised twice on a double click (3 times in total), instead of incrementing ClickCount to 2
DescriptionI'm trying to implement double clicking on an element, which is easily done in WPF by using the MouseLeftButtonDown event and checking whether the ClickCount value is 2.

Noesis raises the first event with ClickCount = 1, and then on the double click, it fires the event another 2 times in rapid succession, each with ClickCount = 1, instead of firing it one more time with ClickCount = 2.
Additional InformationClickCount: 1
UnityEngine.Debug:LogWarning(Object)
Ui.InteractiveContentControl:DraggableElement_MouseLeftButtonDown(Object, MouseButtonEventArgs) (at Assets/Source/Ui/Controls/InteractiveContentControl.cs:94)
Noesis.UIElement:RaiseMouseLeftButtonDown(IntPtr, IntPtr, IntPtr) (at Assets/NoesisGUI/Plugins/API/Proxies/UIElement.cs:703)
Noesis.View:Noesis_View_MouseButtonDown(HandleRef, Int32, Int32, Int32)
Noesis.View:Noesis_View_MouseButtonDown_(HandleRef, Int32, Int32, Int32) (at Assets/NoesisGUI/Plugins/API/Core/NoesisView.cs:450)
Noesis.View:MouseButtonDown(Int32, Int32, MouseButton) (at Assets/NoesisGUI/Plugins/API/Core/NoesisView.cs:149)
NoesisView:ProcessEvent(Event, Boolean, Boolean, Boolean) (at Assets/NoesisGUI/Plugins/NoesisView.cs:843)
NoesisView:OnGUI() (at Assets/NoesisGUI/Plugins/NoesisView.cs:950)

ClickCount: 1
UnityEngine.Debug:LogWarning(Object)
Ui.InteractiveContentControl:DraggableElement_MouseLeftButtonDown(Object, MouseButtonEventArgs) (at Assets/Source/Ui/Controls/InteractiveContentControl.cs:94)
Noesis.UIElement:RaiseMouseLeftButtonDown(IntPtr, IntPtr, IntPtr) (at Assets/NoesisGUI/Plugins/API/Proxies/UIElement.cs:703)
Noesis.View:Noesis_View_MouseDoubleClick(HandleRef, Int32, Int32, Int32)
Noesis.View:Noesis_View_MouseDoubleClick_(HandleRef, Int32, Int32, Int32) (at Assets/NoesisGUI/Plugins/API/Core/NoesisView.cs:462)
Noesis.View:MouseDoubleClick(Int32, Int32, MouseButton) (at Assets/NoesisGUI/Plugins/API/Core/NoesisView.cs:173)
NoesisView:ProcessEvent(Event, Boolean, Boolean, Boolean) (at Assets/NoesisGUI/Plugins/NoesisView.cs:847)
NoesisView:OnGUI() (at Assets/NoesisGUI/Plugins/NoesisView.cs:950)
TagsNo tags attached.
PlatformAny

Activities

mingingmingler

mingingmingler

2018-06-07 02:26

reporter  

jsantos

jsantos

2019-02-12 20:21

manager   ~0005434

There are two issues here. One in the Unity layer (fixed right now) and a bug in the native library (pending).

Issue History

Date Modified Username Field Change
2018-06-07 02:26 mingingmingler New Issue
2018-06-07 02:26 mingingmingler File Added: mousedoubleclickoutput.png
2018-11-01 02:14 jsantos View Status public => private
2018-11-21 15:14 jsantos Target Version => 2.2.0
2018-11-21 15:14 jsantos View Status private => public
2018-11-21 15:14 jsantos Platform => Any
2018-11-21 16:52 sfernandez Assigned To => jsantos
2018-11-21 16:52 sfernandez Status new => assigned
2019-02-12 20:20 jsantos Assigned To jsantos => sfernandez
2019-02-12 20:21 jsantos Note Added: 0005434
2019-02-12 23:09 sfernandez Status assigned => resolved
2019-02-12 23:09 sfernandez Resolution open => fixed
2019-02-12 23:09 sfernandez Fixed in Version => 2.2.0b6